@font-face {
  font-family: "Arimo";
  src: url("../fonts/arimo/Arimo-Regular-webfont.woff") format("woff");
  font-display: swap;
}
@font-face {
  font-family: "OpenSans";
  src: url("../fonts/opensans/OpenSans-Regular-webfont.woff") format("woff");
  font-display: swap;
}

:root {
  --col-jaune: rgba(255,203,26,1);
}
* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}
html {
  scroll-behavior: smooth;
  overflow-x: hidden;
}
html.ouvert {
  overflow-y: hidden;
}
body {
  margin: 0;
  font-family: 'Arimo', sans-serif;
  font-size: 15px;
  line-height: 1.6;
}
a {
  display: inline-block;
  color: #000;
  transition: transform .5s;
  transform-origin: center;
}
header a, a.ext {
  text-decoration: none;
}
a:not(.button).ext, .griffe a {
  position: relative;
  margin-right: 8px;
}
a:not(.button).ext::after, .griffe a::after, .footer-conteneur .newsletter a.ext::after {
  display: inline-block;
  width: 7px;
  position: absolute;
  top: -5px;
  right: -9px;
}
a:not(.button).ext::after, .griffe a::after, .footer-conteneur .newsletter a.ext::after {
  content: url('../images/external-link-alt.svg');
}
.griffe a, .soutien a, .credits a {
  display: inline-block;
  text-decoration: underline;
}
a:hover {
  transform: translate(3px, 3px);
}
a.ext:hover {
  transform: rotateX(180deg);
}

picture {
  display: flex;
  justify-content: center;
}
img {
  max-width: 100%;
}
ol li {
  margin-bottom: 1rem;
}
h1, h2, h3, h4, h5, h6, header {
  font-family: 'OpenSans', sans-serif;
  font-weight: 400;
}
.centre {
  text-align: center;
}
.flex {
  display: flex;
  flex-wrap: wrap;
}



main {
  position: relative;
  width: 1060px;
  max-width: 100%;
  padding: 30px;
  margin: auto;
  background-color: #fff;
  overflow: hidden;
}
main h1 {
  font-size: 36px;
}
section {
  position: relative;
  width: 100%;
}

.pub-titre, .com-titre, .surligne {
  background-color: #faf5957a;
}
.pub-conteneur:nth-child(4n-2) .pub-titre, .com-conteneur:nth-child(4n-2) .com-titre, .surligne.deux {
  background-color: #95f5fa7a;
}
.pub-conteneur:nth-child(4n-1) .pub-titre, .com-conteneur:nth-child(4n-1) .com-titre, .surligne.trois {
  background-color: #fa95ef7a;
}
.pub-conteneur:nth-child(4n) .pub-titre, .com-conteneur:nth-child(4n) .com-titre, .surligne.quatre {
  background-color: #98fa957a;
}




/* IFRAME */
.iframe {
  position: relative;
}
.iframe iframe {
  width: 350px;
  height: 200px;
}
.confirmation {
  position: absolute;
  z-index: 2;
  width: 350px;
  max-width: 100%;
  height: 200px;
  /*background-color: rgba(202, 204, 204, .5);*/
  background-size: cover;
  background-repeat: no-repeat;
  /*border-radius: 10px;
  padding: 0.5rem;*/
  display: flex;
  justify-content: center;
  align-items: center;
}
.youtube .confirmation {
  background-image: url('../images/cookies_youtube_by_ethikmologie_o.svg');
  background-size: 100%;
}
.confirmation .rgpd {
  color: #fff !important;
  font-size: .75em;
  font-weight: 300;
  line-height: 1.5;
  word-spacing: -0.024;
  position: absolute;
  width: 75%;
}
.confirmation .rgpd p {
  display: inline;
  background-color: #f47f1fff;
}
.confirmation.disparait {
  z-index: -1;
  opacity: 0;
}




/********/
/* MENU */
/********/
header {
  position: relative;
  z-index: 9;
  width: 100%;
  margin-bottom: 80px;
}
header.mobile {
  padding-top: 3rem;
}
header.mobile a, header.mobile li {
  color: #000;
}

header nav {
  display: flex;
  justify-content: space-between;
  width: 980px;
  max-width: 100%;
  padding: 30px;
  margin: auto;
  text-transform: uppercase;
}
.menu-logo {
  display: flex;
  align-items: center;
  position: relative;
  height: 60px;
  font-size: 28px;
  margin: 0;
  font-weight: 400;
  line-height: 1;
}
.phone .menu-logo {
  height: 40px;
}
header:not(.mobile) .menu-logo #marie {
  position: absolute;
  transform-origin: top left;
  transform: rotate(-90deg) translate(-100%, -100%);
  padding-right: 2rem;
}
#vasse {
  position: absolute;
  top: -60px;
  margin-left: -40px;
}
#vasse canvas {
  height: 150px !important;
  width: 150px !important;
}
.asse {
  padding-left: 55px;
}
/*#vasse canvas {
  height: 45px !important;
  width: 85px !important;
}*/
header ul {
  display: flex;
  list-style: none;
  padding: 0;
  margin: 0;
}
ul.menu-list {
  position: relative;
  align-items: center;
  flex-wrap: wrap;
}
/*header .angle {
  position: absolute;
  writing-mode: vertical-rl;
  text-orientation: upright;
}*/

header:not(.mobile) .angle {
  position: absolute;
  right: 0;
  transform-origin: top right;
  transform: rotate(90deg) translate(100%, -100%);
}



header li {
  font-size: 14px;
}
header li:not(.angle, .petit-angle, .mobile-angle) {
  padding-left: 1.5rem;
}
header:not(.mobile) li {
  line-height: 1;
}
.mobile header li {
  padding: 5px 1rem;
}
header li.selected {
  text-decoration: underline;
}
header a {
  letter-spacing: 0;
  transition: all .5s;
}
header a:hover {
  color: rgba(60,60,60,0.8199999928);
  letter-spacing: 0.1em;
  transform: none;
  font-style: normal;
}
header li p {
  margin: 0;
}



/* MENU MOBILE */
.burger {
  display: none;
  position: fixed;
  top: 1rem;
  right: 1rem;
  width: 50px;
  height: 50px;
  cursor: pointer;
}
.custom-toggle {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  height: 100%;
  width: 100%;
}
.menu .bar {
  display: inline-block;
  position: absolute;
  width: 30px;
  height: 5px;
  background-color: var(--col-bleu);
  border: solid 1px;
  border-radius: 5px;
}
.menu .bar:nth-of-type(2) {
  transform: translateY(-130%);
}
.menu .bar:nth-of-type(3) {
  transform: translateY(130%);
}
.fleche-retour {
  display: none;
  width: 60%;
}



.menu.mobile {
  z-index: 99;
  position: fixed;
  top: 1rem;
  right: 1rem;
  display: flex;
  flex-direction: column;
  width: 50px;
  height: 50px;
  padding: 0 1rem 0;
  overflow: hidden;
  background-color: rgba(255, 255, 255, 0.9);
  transition: all 1s;
}
.ouvert .menu.mobile {
  top: 0;
  right: 0;
  height: 100vh;
  width: 100%;
  overflow: hidden scroll;
  padding-top: 1rem;
}
.mobile .burger {
  display: flex;
  justify-content: center;
  align-items: center;
}
.mobile .logo-principal-conteneur {
  position: relative;
  top: 0;
  left: 0;
}
.mobile .logo-mobile {
  transition: height 1s;
}
body:not(.phone) .mobile .logo-principal .logo-mobile {
  display: block;
}
header.mobile nav {
  padding: 0 2rem 2rem;
  flex-grow: 1;
  display: flex;
  justify-content: center;
  align-items: center;
}
header.mobile ul {
  flex-direction: column;
}
header.mobile li {
  padding: 5px 0;
}
.mobile .logo-principal-conteneur, .mobile nav {
  opacity: 0;
  transition: opacity .3s .3s;
}
.ouvert .mobile .logo-principal-conteneur, .ouvert .mobile nav {
  opacity: 1;
}



/***********/
/* FOOTERS */
/***********/
footer {
  position: relative;
  z-index: 1;
  background-color: #fff;
  padding: 0 0 2rem;
  margin-top: 3rem;
}
.phone footer {
  padding: 0;
}
.footer-conteneur {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  width: 980px;
  max-width: 100%;
  padding: 30px;
  margin: auto;
}
.phone .footer-conteneur {
  padding: 10px 30px;
}
.footer-conteneur a.ext::after {
  content: '';
}
.footer-conteneur .partage-conteneur {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
}
.gauche-conteneur {
  display: flex;
  position: relative;
  font-size: 12px;
  margin-right: 1rem;
}
.footer-conteneur a {
  width: 16px;
}
.mobile .gauche-conteneur, .mobile .partage-conteneur {
  margin-top: 1rem;
}

/* MODIF MASTODON */
.logo-mastodon img {
  width: 16px;
  margin-left: 1.5rem;
}
/******************/

.mentions {
  margin-right: 1rem;
  display: flex;
}
.mentions a {
  display: flex;
  align-items: center;
}
.footer-conteneur .vertical {
  position: absolute;
  right: 0;
  transform-origin: bottom right;
  transform: rotate(-90deg) translate(100%, -10px);
}
.footer-conteneur .vertical img {
  transform: rotate(90deg);
}
.mobile .footer-conteneur .vertical {
  position: relative;
  right: unset;
  transform: unset;
}
.mobile .footer-conteneur .vertical img {
  transform: unset;
}


.griffe {
  font-size: 10px;
}
.griffe a {
  width: auto;
}
.footer-conteneur .griffe a::after {
  content: url('../images/external-link-alt.svg');
}
.footer-conteneur .partage-conteneur a {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  margin-left: 1rem;
  margin-right: 0;
}
.logo-apropos {
  height: 20px;
  border-radius: 50%;
  background-color: #fccf0600;
  transition: background-color 1s;
}


/* FOOTER MENU MOBILE */
.menu .footer-conteneur {
  display: none;
}
.menu.mobile .footer-conteneur {
  display: flex;
  justify-content: center;
  margin-bottom: 1rem;
  opacity: 0;
  transition: opacity .3s .3s;
}
.ouvert .menu.mobile .footer-conteneur {
  opacity: 1;
}


/*.phone .burger {
  display: flex;
}*/


/* TEST CADRE */
header {
  position: fixed;
  top: 0;
  background-color: #fff;
}
footer {
  position: fixed;
  bottom: 0;
  width: 100%;
}
main {
  margin: 8rem auto;
  padding: 30px 150px;
}
/* TEST défilement */
main {
  height: calc(100vh - 8rem - 160px);
  width: 800px;
  padding: 30px 20px;
  overflow-y: auto;
}
.phone nav {
  padding: 10px 30px;
}
.phone main {
  margin: 4rem auto;
  height: calc(100vh - 8rem);
}


@media screen and (min-width: 930px) {
  .module-contenu.gauche {
    transform: translateX(-3rem);
  }
  .module-contenu.droite {
    transform: translateX(3rem);
  }
}
@media screen and (max-width: 800px) {
  /*.menu {
    z-index: 99;
    position: fixed;
    top: 1rem;
    right: 1rem;
    display: flex;
    flex-direction: column;
    width: 50px;
    height: 50px;
    overflow: hidden;
    background-color: rgba(255, 255, 255, 0.9);
    transition: all 1s;
    padding-top: 3rem;
  }
  .ouvert .menu.mobile {
    top: 0;
    right: 0;
    height: 100vh;
    width: 100%;
    overflow: hidden scroll;
    padding-top: 1rem;
  }
  .petit.menu {
    --menu-mobile: 80px;
  }
  .burger {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .logo-mobile {
    transition: height 1s;
  }
  body:not(.phone) .logo-principal .logo-mobile {
    display: block;
  }
  header nav {
    padding: 0 2rem 2rem;
    flex-grow: 1;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  header ul {
    flex-direction: column;
  }
  main {
    padding: 30px 12px;
  }*/
  .article section, .contenu-conteneur {
    flex-wrap: wrap;
    max-width: 100%;
  }
  main {
    padding: 30px 50px;
  }
}


@media screen and (max-width: 650px) {
  main h1 {
    font-size: 32px;
  }
  header:not(.mobile) .petit-angle {
    position: absolute;
    right: 0;
    width: 450px;
    transform-origin: top right;
    transform: rotate(90deg) translate(100%, -100%);  
  }
  header:not(.mobile) .angle {
    position: relative;
    right: unset;
    transform: none;  
  }
}
@media screen and (max-width: 450px) {
  header:not(.mobile) .mobile-angle {
    position: absolute;
    right: 0;
    width: 650px;
    transform-origin: top right;
    transform: rotate(90deg) translate(100%, -100%);  
  }
  header:not(.mobile) .petit-angle {
    position: relative;
    right: unset;
    transform: none;  
  }
}

